Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.io.cache
Class RevalidationType

    java.lang.Object
      com.servingxml.io.cache.RevalidationType

    public class RevalidationType

extends java.lang.Object

Field Summary
`static RevalidationType` | `ASYNCH_REVALIDATION`
`static RevalidationType` | `FULL_REVALIDATION`
`static RevalidationType` | `NO_REVALIDATION`
`static RevalidationType` | `SYNCH_REVALIDATION`

Constructor Summary
`RevalidationType()`
`RevalidationType(boolean asynchRevalidation, boolean synchRevalidation)`
`RevalidationType(java.lang.String str)`

Method Summary
`boolean` | `revalidateAsynch()`
`boolean` | `revalidateSynch()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_REVALIDATION

    public static final RevalidationType NO_REVALIDATION

### ASYNCH_REVALIDATION

    public static final RevalidationType ASYNCH_REVALIDATION

### SYNCH_REVALIDATION

    public static final RevalidationType SYNCH_REVALIDATION

### FULL_REVALIDATION

    public static final RevalidationType FULL_REVALIDATION

Constructor Detail

### RevalidationType

    public RevalidationType()

### RevalidationType

    public RevalidationType(boolean asynchRevalidation,
                            boolean synchRevalidation)

### RevalidationType

    public RevalidationType(java.lang.String str)

Method Detail

### revalidateAsynch

    public boolean revalidateAsynch()

### revalidateSynch

    public boolean revalidateSynch()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD